ColumnFamilyRecordReader (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.hadoop
Class ColumnFamilyRecordReader

    java.lang.Object
      org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>
          org.apache.cassandra.hadoop.ColumnFamilyRecordReader

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>

    public class ColumnFamilyRecordReader

extends org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>
implements org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>

Field Summary
`static int` | `CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT`

Constructor Summary
`ColumnFamilyRecordReader()`
`ColumnFamilyRecordReader(int keyBufferSize)`

Method Summary
`void` | `close()`
`java.nio.ByteBuffer` | `createKey()`
`java.util.SortedMap<java.nio.ByteBuffer,IColumn>` | `createValue()`
`java.nio.ByteBuffer` | `getCurrentKey()`
`java.util.SortedMap<java.nio.ByteBuffer,IColumn>` | `getCurrentValue()`
`long` | `getPos()`
`float` | `getProgress()`
`void` | `initialize(org.apache.hadoop.mapreduce.InputSplit split, org.apache.hadoop.mapreduce.TaskAttemptContext context)`
`boolean` | `next(java.nio.ByteBuffer key, java.util.SortedMap<java.nio.ByteBuffer,IColumn> value)`
`boolean` | `nextKeyValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

    public static final int CASSANDRA_HADOOP_MAX_KEY_SIZE_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### ColumnFamilyRecordReader

    public ColumnFamilyRecordReader()

### ColumnFamilyRecordReader

    public ColumnFamilyRecordReader(int keyBufferSize)

Method Detail

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Specified by:
    `close` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getCurrentKey

    public java.nio.ByteBuffer getCurrentKey()

  Specified by:
    `getCurrentKey` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getCurrentValue

    public java.util.SortedMap<java.nio.ByteBuffer,IColumn> getCurrentValue()

  Specified by:
    `getCurrentValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getProgress

    public float getProgress()

  Specified by:
    `getProgress` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Specified by:
    `getProgress` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### initialize

    public void initialize(org.apache.hadoop.mapreduce.InputSplit split,
                           org.apache.hadoop.mapreduce.TaskAttemptContext context)
                    throws java.io.IOException

  Specified by:
    `initialize` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

### nextKeyValue

    public boolean nextKeyValue()
                         throws java.io.IOException

  Specified by:
    `nextKeyValue` in class `org.apache.hadoop.mapreduce.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

### next

    public boolean next(java.nio.ByteBuffer key,
                        java.util.SortedMap<java.nio.ByteBuffer,IColumn> value)
                 throws java.io.IOException

  Specified by:
    `next` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

### createKey

    public java.nio.ByteBuffer createKey()

  Specified by:
    `createKey` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### createValue

    public java.util.SortedMap<java.nio.ByteBuffer,IColumn> createValue()

  Specified by:
    `createValue` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`

### getPos

    public long getPos()
                throws java.io.IOException

  Specified by:
    `getPos` in interface `org.apache.hadoop.mapred.RecordReader<java.nio.ByteBuffer,java.util.SortedMap<java.nio.ByteBuffer,IColumn>>`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation